# $Revision: 1.20 $, $Date: 2011/07/18 08:00:57 $
%define		_vendor_name	extlib
%define		ocaml_ver	1:3.09.2
Summary:	ExtLib for OCaml
Summary(pl.UTF-8):	ExtLib dla OCamla
Name:		ocaml-%{_vendor_name}
Version:	1.5.1
Release:	3
License:	LGPL + OCaml linking exception
Group:		Libraries
Source0:	http://ocaml-extlib.googlecode.com/files/%{_vendor_name}-%{version}.tar.gz
# Source0-md5:	8dc2944cbf63141347956bd353893d75
URL:		http://code.google.com/p/ocaml-extlib/
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ExtLib is a project aiming at providing a complete - yet small -
standard library for the OCaml programming language. The purpose of
this library is to add new functions to OCaml Standard Library
modules, to modify some functions in order to get better performances
or more safety (tail-recursive) but also to provide new modules which
should be useful for the average OCaml programmer.

ExtLib is not directly related to OCaml authors (INRIA) although this
library can be seen as a proposal for inclusion in the official
distribution.

%description -l pl.UTF-8
ExtLib to projekt, którego celem jest dostarczenie kompletnej lecz
małej biblioteki standardowej dla języka programowania OCaml. Celem
tej biblioteki jest dodanie nowych funkcji do modułów biblioteki
standardowej OCamla, zmodyfikowanie niektórych funkcji w celu
uzyskania lepszej wydajności lub bezpieczeństwa, a także dodanie
nowych modułów, które powinny być przydatne dla przeciętnego
programisty OCamla.

ExtLib nie jest bezpośrednio związany z autorami OCamla (INRIA), ale
tę bibliotekę można traktować jako propozycję do włączenia do
oficjalnej dystrybucji.

%package devel
Summary:	ExtLib for OCaml - development part
Summary(pl.UTF-8):	ExtLib dla OCamla - część programistyczna
Group:		Development/Libraries
%requires_eq	ocaml

%description devel
ExtLib is a project aiming at providing a complete - yet small -
standard library for the OCaml programming language. The purpose of
this library is to add new functions to OCaml Standard Library
modules, to modify some functions in order to get better performances
or more safety (tail-recursive) but also to provide new modules which
should be useful for the average OCaml programmer.

ExtLib is not directly related to OCaml authors (INRIA) although this
library can be seen as a proposal for inclusion in the official
distribution.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl.UTF-8
ExtLib to projekt, którego celem jest dostarczenie kompletnej lecz
małej biblioteki standardowej dla języka programowania OCaml. Celem
tej biblioteki jest dodanie nowych funkcji do modułów biblioteki
standardowej OCamla, zmodyfikowanie niektórych funkcji w celu
uzyskania lepszej wydajności lub bezpieczeństwa, a także dodanie
nowych modułów, które powinny być przydatne dla przeciętnego
programisty OCamla.

ExtLib nie jest bezpośrednio związany z autorami OCamla (INRIA), ale
tę bibliotekę można traktować jako propozycję do włączenia do
oficjalnej dystrybucji.

Ten pakiet zawiera pliki potrzebne do tworzenia programów w OCamlu z
użyciem tej biblioteki.

%prep
%setup -q -n %{_vendor_name}-%{version}

%build
%{__make} -j1 all opt \
	CC="%{__cc} %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/extlib

OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml %{__make} install

mv $RPM_BUILD_ROOT%{_libdir}/ocaml/extlib/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/extlib
echo 'directory = "+extlib"' \
	>> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/extlib/META
rm -f $RPM_BUILD_ROOT%{_libdir}/ocaml/extlib/*.mli

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc LICENSE *.mli README.txt
%dir %{_libdir}/ocaml/extlib
%{_libdir}/ocaml/extlib/*.cm[ixa]*
%{_libdir}/ocaml/extlib/*.a
%{_libdir}/ocaml/site-lib/extlib

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-extlib.spec,v $
Revision 1.20  2011/07/18 08:00:57  baggins
- rel 3

Revision 1.19  2009/04/18 17:35:25  areq
- make -j1

Revision 1.18  2009/04/18 17:28:40  areq
- 1.5.1

Revision 1.17  2008/07/10 18:35:12  megabajt
- release 4

Revision 1.16  2008/02/04 21:17:12  glen
- rel 3

Revision 1.15  2008-01-31 17:27:52  glen
- rel 2

Revision 1.14  2007-11-27 18:26:39  baggins
- up to 1.5

Revision 1.13  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.11  2006/05/31 12:54:44  glen
- rel 5 (rebuild with ocaml-3.09.2)

Revision 1.10  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.9  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.8  2006/03/10 13:34:11  baggins
- release 2
- use findlib

Revision 1.7  2005/12/10 22:02:05  baggins
- rel 1

Revision 1.6  2005/12/10 21:54:19  baggins
- updated to 1.4

Revision 1.5  2005/12/10 18:41:29  baggins
- release 2 for ocaml 3.09.0

Revision 1.4  2004/12/14 23:21:19  qboosh
- fixed License (LGPL with OCaml linking exception)

Revision 1.3  2004/12/14 23:17:34  qboosh
- pl, cosmetics

Revision 1.2  2004/12/13 21:17:58  ankry
- spaces -> tabs, caps unified, typos, formatting

Revision 1.1  2004/12/12 20:17:17  dobrek
- initial release
